Draft Point

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Point and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft BezCurve.svg Courbe de Bézier
Page suivante : Surfaces liées Draft Facebinder.svg Arrow-right.svg

Draft Point.svg Draft Point

Emplacement du menu
Drafting → Point
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.7
Voir aussi
Aucun

Description

La commande Draft Point.svg Draft Point crée un point simple. Les Draft Points peuvent être utiles comme référence pour placer des lignes, des fils ou d'autres objets.

Draft point example.jpg

Utilisation

Voir aussi: Draft La barre, Draft Accrochage et Draft Contrainte.

  1. Il existe plusieurs façons de lancer la commande :
  2. Le panneau de tâches Point s'ouvre. Voir Options pour plus d'informations.
  3. Choisissez un point dans la Vue 3D ou rentrez des coordonnées et appuyez sur le bouton Draft AddPoint.svg Entrez le point.

Options

Les raccourcis clavier à caractère unique disponibles dans le panneau des tâches peuvent être modifiés. Voir Draft Préférences. Les raccourcis mentionnés ici sont les raccourcis par défaut.

  • Pour saisir manuellement des coordonnées, entrez les composantes X, Y et Z, et appuyez sur Entrée après chacune, ou vous pouvez appuyer sur le bouton Draft AddPoint.svg Entrez le point lorsque vous avez les valeurs souhaitées. Il est conseillé de déplacer le pointeur hors de la Vue 3D avant de saisir les coordonnées.
  • La case à cocher Relative n'a aucune utilité pour cette commande.
  • Appuyez sur G ou cliquez sur la case Global pour basculer en mode global. Si le mode global est activé, les coordonnées sont relatives au système de coordonnées global, sinon elles sont relatives au système de coordonnées du plan de travail. Introduit dans la version 0.20
  • Appuyez sur T ou cliquez sur la case Continuer pour activer le mode continu. Si le mode continu est activé, la commande redémarre après avoir terminé, ce qui vous permet de continuer à créer des points.
  • Appuyez sur S pour activer ou désactiver Draft Accrochage.
  • Appuyez sur Echap ou sur le bouton Fermer pour interrompre la commande.

Remarques

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie des coordonnées : Edition → Préférences... → Général → Unités → Systèmes d'unités → Nombre de décimales.

Propriétés

Voir aussi: Éditeur de propriétés

Un objet Draft Point est dérivé d'un Part Part2DObject et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Draft

  • DonnéesX (Distance) : spécifie la coordonnée X du point.
  • DonnéesY (Distance) : spécifie la coordonnée Y du point.
  • DonnéesZ (Distance) : spécifie la coordonnée Z du point.

Vue

Draft

  • VuePattern (Enumeration) : non utilisé.
  • VuePattern Size (Float) : non utilisé.

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour créer un Draft Point, utilisez la méthode make_point (Introduit dans la version 0.19) du module Draft. Cette méthode remplace la méthode dépréciée makePoint.

point = make_point(X=0, Y=0, Z=0, color=None, name="Point", point_size=5)
point = make_point(point, Y=0, Z=0, color=None, name="Point", point_size=5)
  • Crée un objet point dans les coordonnées X, Y et Z spécifiées, avec des unités en millimètres. Si aucune coordonnée n'est donnée, le point est créé à l'origine (0,0,0).
    • Si X est un point défini par un FreeCAD.Vector, il est utilisé.
  • color est un tuple (R, G, B) qui indique la couleur du point dans l'échelle RVB. Chaque valeur du tuple doit être comprise entre 0 et 1.
  • name est le nom de l'objet.
  • point_size est la taille de l'objet en pixels si l'interface graphique est chargée.

Exemple:

import FreeCAD as App
import Draft

doc = App.newDocument()

point1 = Draft.make_point(1600, 1400, 0)

p2 = App.Vector(-3200, 1800, 0)
point2 = Draft.make_point(p2, color=(0.5, 0.3, 0.6), point_size=10)

doc.recompute()

Exemple:

Ce code crée des N points aléatoires dans un carré de côté 2L. Cela crée une boucle créant des N points, qui peuvent apparaître n'importe où de -L à + L sur X et Y/ Il choisit également une couleur et une taille aléatoires pour chaque point. Modifiez N pour changer le nombre de points, puis L pour changer la zone couverte par les points.

import random
import FreeCAD as App
import Draft

doc = App.newDocument()

L = 1000
centered = App.Placement(App.Vector(-L, -L, 0), App.Rotation())
rectangle = Draft.make_rectangle(2*L, 2*L, placement=centered)

N = 10
for i in range(N):
    x = 2*L*random.random() - L
    y = 2*L*random.random() - L
    z = 0
    r = random.random()
    g = random.random()
    b = random.random()
    size = 15*random.random() + 5
    Draft.make_point(x, y, z, color=(r, g, b), point_size=size)

doc.recompute()


Arrow-left.svg Page précédente : Draft BezCurve.svg Courbe de Bézier
Page suivante : Surfaces liées Draft Facebinder.svg Arrow-right.svg